Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class InsurabilityItem

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.InsurabilityItem

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class InsurabilityItem

extends Object
implements Serializable

Java class for InsurabilityItemType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityItemType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RegNrWithMut" type="{urn:be:cin:mycarenet:1.0:carenet:types}RegNrWithMutType" minOccurs="0"/>
             <element name="Mutuality" type="{urn:be:cin:mycarenet:1.0:carenet:types}MutualityType"/>
             <element name="Period" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodType"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CT1" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CT2" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}PaymentApproval" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityDate"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InsurabilityItem()`

Method Summary
`String` | `getCT1()` The "code titulaire 1" required for invoicing.
`String` | `getCT2()` The "code titulaire 2" required for invoicing.
`org.joda.time.DateTime` | `getInsurabilityDate()` The date of the information.
`String` | `getMutuality()` Gets the value of the mutuality property.
`String` | `getPaymentApproval()` Element linked to insurablity request of the type "invoicing".
`PeriodType` | `getPeriod()` Gets the value of the period property.
`String` | `getRegNrWithMut()` Gets the value of the regNrWithMut property.
`void` | `setCT1(String value)` Sets the value of the ct1 property.
`void` | `setCT2(String value)` Sets the value of the ct2 property.
`void` | `setInsurabilityDate(org.joda.time.DateTime value)` Sets the value of the insurabilityDate property.
`void` | `setMutuality(String value)` Sets the value of the mutuality property.
`void` | `setPaymentApproval(String value)` Sets the value of the paymentApproval property.
`void` | `setPeriod(PeriodType value)` Sets the value of the period property.
`void` | `setRegNrWithMut(String value)` Sets the value of the regNrWithMut property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityItem

    public InsurabilityItem()

Method Detail

### getRegNrWithMut

    public String getRegNrWithMut()

  Gets the value of the regNrWithMut property.

  Returns:
    possible object is `String`

### setRegNrWithMut

    public void setRegNrWithMut(String value)

  Sets the value of the regNrWithMut property.

  Parameters:
    `value` - allowed object is `String`

### getMutuality

    public String getMutuality()

  Gets the value of the mutuality property.

  Returns:
    possible object is `String`

### setMutuality

    public void setMutuality(String value)

  Sets the value of the mutuality property.

  Parameters:
    `value` - allowed object is `String`

### getPeriod

    public PeriodType getPeriod()

  Gets the value of the period property.

  Returns:
    possible object is `PeriodType`

### setPeriod

    public void setPeriod(PeriodType value)

  Sets the value of the period property.

  Parameters:
    `value` - allowed object is `PeriodType`

### getCT1

    public String getCT1()

  The "code titulaire 1" required for invoicing.

  Returns:
    possible object is `String`

### setCT1

    public void setCT1(String value)

  Sets the value of the ct1 property.

  Parameters:
    `value` - allowed object is `String`

### getCT2

    public String getCT2()

  The "code titulaire 2" required for invoicing.

  Returns:
    possible object is `String`

### setCT2

    public void setCT2(String value)

  Sets the value of the ct2 property.

  Parameters:
    `value` - allowed object is `String`

### getPaymentApproval

    public String getPaymentApproval()

  Element linked to insurablity request of the type "invoicing". Not supported for the moment, will never be provided.

  Returns:
    possible object is `String`

### setPaymentApproval

    public void setPaymentApproval(String value)

  Sets the value of the paymentApproval property.

  Parameters:
    `value` - allowed object is `String`

### getInsurabilityDate

    public org.joda.time.DateTime getInsurabilityDate()

  The date of the information.

  Returns:
    possible object is `String`

### setInsurabilityDate

    public void setInsurabilityDate(org.joda.time.DateTime value)

  Sets the value of the insurabilityDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.